Loading...
Searching...
No Matches
L4::Type_info::Demand_t< CAPS, FLAGS, MEM, PORTS > Struct Template Reference

Template type statically describing demand of receive buffers. More...

`#include <l4/sys/capability>`

Inheritance diagram for L4::Type_info::Demand_t< CAPS, FLAGS, MEM, PORTS >:
Collaboration diagram for L4::Type_info::Demand_t< CAPS, FLAGS, MEM, PORTS >:

## Public Types

enum | { Caps = CAPS , Flags = FLAGS , Mem = MEM , Ports = PORTS }

## Additional Inherited Members

Public Member Functions inherited from L4::Type_info::Demand
| Demand (unsigned char caps=0, unsigned char flags=0, unsigned char mem=0, unsigned char ports=0) noexcept
| Make Demand object.
bool | no_demand () const noexcept
Demand | operator| (Demand const &rhs) const noexcept
| get the combined demand of this and rhs
Data Fields inherited from L4::Type_info::Demand
unsigned char | caps
| number of capability receive buffers.
unsigned char | flags
| flags, such as the need for timeouts (TBD).
unsigned char | mem
| number of memory receive buffers.
unsigned char | ports
| number of IO-port receive buffers.

## Detailed Description

template<unsigned char CAPS = 0, unsigned char FLAGS = 0, unsigned char MEM = 0, unsigned char PORTS = 0>
struct L4::Type_info::Demand_t< CAPS, FLAGS, MEM, PORTS >

Template type statically describing demand of receive buffers.

Template Parameters

  CAPS | number of capability receive buffers needed.
  FLAGS | flags, such as the need for timeouts (TBD).
  MEM | number of memory receive windows needed.
  PORTS | number of IO-port receive windwows needed.

Definition at line 553 of file __typeinfo.h.

## Member Enumeration Documentation

## anonymous enum

template<unsigned char CAPS = 0, unsigned char FLAGS = 0, unsigned char MEM = 0, unsigned char PORTS = 0>

anonymous enum

Enumerator
Caps | number of capability receive buffers.
Flags | flags, such as the need for timeouts.
Mem | number of memory receive windows.
Ports | number of IO-port receive windows.

Definition at line 555 of file __typeinfo.h.

The documentation for this struct was generated from the following file:

- l4/sys/__typeinfo.h